Araç: get_user_profile
Kendinizle ilgili profil bilgilerini (ad ve e-posta) alma
Aşağıdaki örnekte, curl kullanılarak get_user_profile MCP aracının nasıl çağrılacağı gösterilmektedir.
| Curl İsteği |
|---|
curl --location 'https://people.googleapis.com/mcp/v1' \ --header 'content-type: application/json' \ --header 'accept: application/json, text/event-stream' \ --data '{ "method": "tools/call", "params": { "name": "get_user_profile", "arguments": { // provide these details according to the tool MCP specification } }, "jsonrpc": "2.0", "id": 1 }' |
Giriş Şeması
GetUserProfile için istek mesajı.
Çıkış şeması
GetUserProfile için yanıt mesajı.
GetUserProfileResponse
| JSON gösterimi |
|---|
{ "name": string, "emailAddress": string } |
| Alanlar | |
|---|---|
name |
Kullanıcının görünen adı. |
emailAddress |
Kullanıcının hesap e-posta adresi. |
Araç Ek Açıklamaları
Yıkıcı İpucu: ❌ | İdempotent İpucu: ✅ | Salt Okunur İpucu: ✅ | Açık Dünya İpucu: ❌